Subject: bug#23965: closed (Re: bug#23965: egrep should report line number when failing to parse a file (with -f))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 26 Jul 2016 06:02:02 +0000

Your bug report

#23965: egrep should report line number when failing to parse a file (with -f)

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23965: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23965
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23965: egrep should report line number when failing to parse a file (with -f)
From: Jim Meyering <[email-masked]>
To: Santiago Ruano Rincón <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 25 Jul 2016 23:00:35 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Jul 25, 2016 at 11:56 AM, Santiago Ruano Rincón
<[email-masked]> wrote:
> El 23/07/16 a las 09:31, Jim Meyering escribió:
>> On Wed, Jul 20, 2016 at 2:58 PM, Jim Meyering <[email-masked]> wrote:
>> > On Wed, Jul 13, 2016 at 1:59 AM, Santiago Ruano Rincón
>> > <[email-masked]> wrote:
>
> …
>
>> Here are two patches.
>> The first adds coreutils' perl-based test harness to grep.
>> The second improves those diagnostics and adds a test using the new harness:
>
> Thanks!
>
> I will include it in the next grep debian release.

Nice.
I've added a couple more tests and pushed as
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=f13c169e13aed279baa00d9ced9d93fe24775493

Subject: egrep should report line number when failing to parse a file (with -f)
From: Santiago Ruano Rincón <[email-masked]>
To: bug-grep <[email-masked]>
Date: Wed, 13 Jul 2016 10:59:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Please find below yet another old-standing bug filed against debian.
grep's behaviour is still the same in 2.25.

https://bugs.debian.org/525214

Cheers,

Santiago

----- Forwarded message from Gunnar Wolf <[email-masked]> -----

Date: Wed, 22 Apr 2009 18:06:28 -0500
From: Gunnar Wolf <[email-masked]>
To: Debian Bug Tracking System <[email-masked]>
Subject: egrep should report line number when failing to parse a file (with -f)
X-Mailer: reportbug 4.1

[...]

egrep -f takes its input from a file. This functionality is often used
i.e. with logcheck, which works basically off a directory full of
files which contain regexes representing log messages to be either
ignored or pushed up - However, when something goes bad and one of
those lines is not parsable, grep won't help in debugging. As an
example, I got loads of log messages such as:

    From: Cron Daemon <[email-masked]>
    To: [email-masked]
    Date: Tue, 21 Apr 2009 23:02:02 -0500 (CDT)
    Subject: Cron <logcheck@lafa>    if [ -x /usr/sbin/logcheck ]; then nice -n10 /usr/sbin/logcheck; fi

    egrep: Unmatched [ or [^

Finding the file/line where I made this particular mistake was a
tedious job. Users deserve egrep to report the filename and line
number where this error happened.

[...]

----- End forwarded message -----